// This file is part of help.eyeo.com.
// Copyright (C) 2017 Eyeo GmbH
//
// help.eyeo.com is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// help.eyeo.com is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with help.eyeo.com.  If not, see <http://www.gnu.org/licenses/>.

/*******************************************************************************
 * Accordion
 ******************************************************************************/

.accordion
{
  overflow: hidden;
  border: 1px solid $gray;
  border-radius: 5px;
}

.accordion-toggle-button
{
  display: block;
  width: 100%;
  padding: $small-space;
  border: 0;
  border-bottom: 1px solid $gray;
  outline: none;
  background-color: $gray-light;
  font: inherit;
  font-weight: $bold-weight;
  text-align: left;
  cursor: pointer;
}

[dir="rtl"] .accordion-toggle-button
{
  text-align: right;
}

.accordion-toggle-button:hover,
.accordion-toggle-button:focus
{
  background-color: $gray;
}

.accordion-heading:last-of-type .accordion-toggle-button[aria-expanded="false"]
{
  border-bottom: 0;
}

.accordion-toggle-button img
{
  height: $x-small-space;
  margin-right: $x-small-space;
}

[dir="rtl"] .accordion-toggle-button img
{
  margin-right: 0;
  margin-left: $x-small-space;
  transform: rotate(180deg);
}

.accordion-toggle-button[aria-expanded="false"] img
{
  transform: rotate(90deg);
}

.accordion-body
{
  padding:0;
  border-bottom: 1px solid $gray;
  background-color: $white;
}

.accordion-body li a
{
  padding: 1em;
}

.accordion-body:last-of-type
{
  border-bottom: 0;
}
